Subject: bug#36839: 26.1: unique frame names

From: Eli Zaretskii <[email-masked]>
Date: Mon, 29 Jul 2019 22:28:41 +0300

> Date: Mon, 29 Jul 2019 14:54:29 -0400
> From: Boruch Baum <[email-masked]>
> Cc: [email-masked]
> 
> > Then give your frames names, you have functions to do that.  What
> > exactly is the problem?
> 
> I'm trying really hard not to repeat myself here... Emacs has the alist
> variable with the NAME parameter, so the presumption is that a user
> should be able to use it in a useful manner, but when it is used, the
> behavior of emacs changes to become less useful. Prior to manually
> setting the NAME parameter, all created frames have unique names, but
> once the name parameter is set by a user, all frames will have identical
> names. The behavior should continue to ensure unique frame names.

So you want Emacs to uniquify the frame's name using the 'name'
parameter as a template?